curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID}/history \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID}/history"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 4,
"data": [
{
"id": "sm_event_456",
"customer_id": "cust_alice",
"virtual_account_id": "sm_123",
"type": "payment_submitted",
"amount": "120.0",
"currency": "usd",
"developer_fee_amount": "1.25",
"exchange_fee_amount": "2.2",
"subtotal_amount": "120.0",
"gas_fee": "0.0",
"deposit_id": "deposit_123",
"created_at": "2020-01-01T00:00:00.000Z",
"destination_tx_hash": "0xdeadbeef",
"source_deposit_instructions": {
"deposit_message": "BVI7depositmessage"
},
"source": {
"payment_rail": "ach_push",
"description": "ACH description, if available"
}
},
{
"id": "sm_event_123",
"customer_id": "cust_alice",
"virtual_account_id": "sm_123",
"type": "funds_received",
"amount": "123.45",
"currency": "usd",
"developer_fee_amount": "0.0",
"exchange_fee_amount": "0.0",
"subtotal_amount": "123.45",
"gas_fee": "0.0",
"deposit_id": "deposit_123",
"created_at": "2020-01-01T00:00:00.000Z",
"source_deposit_instructions": {
"deposit_message": "BVI7depositmessage"
},
"source": {
"payment_rail": "ach_push",
"description": "ACH description, if available"
}
},
{
"id": "sm_event_457",
"customer_id": "cust_alice",
"virtual_account_id": "sm_123",
"type": "payment_submitted",
"amount": "120.0",
"currency": "usd",
"developer_fee_amount": "1.25",
"exchange_fee_amount": "2.2",
"subtotal_amount": "120.0",
"gas_fee": "0.0",
"deposit_id": "deposit_123",
"created_at": "2020-01-01T00:00:00.000Z",
"destination_tx_hash": "0xdeadbeef",
"source_deposit_instructions": {
"deposit_message": "BVI7depositmessage"
},
"source": {
"payment_rail": "wire",
"bank_beneficiary_name": "Bank beneficiary",
"bank_beneficiary_address": "Bank beneficiary address",
"originator_name": "Originator Name",
"originator_address": "Originator Address",
"bank_routing_number": "1234567890",
"bank_name": "Bank name",
"imad": "IMAD of incoming wire, if available",
"omad": "OMAD of incoming wire, if available (deprecated)"
}
},
{
"id": "sm_event_124",
"customer_id": "cust_alice",
"virtual_account_id": "sm_123",
"type": "funds_received",
"amount": "123.45",
"currency": "usd",
"developer_fee_amount": "0.0",
"exchange_fee_amount": "0.0",
"subtotal_amount": "123.45",
"gas_fee": "0.0",
"deposit_id": "deposit_123",
"created_at": "2020-01-01T00:00:00.000Z",
"source_deposit_instructions": {
"deposit_message": "BVI7depositmessage"
},
"source": {
"payment_rail": "wire",
"bank_beneficiary_name": "Bank beneficiary",
"bank_beneficiary_address": "Bank beneficiary address",
"originator_name": "Originator Name",
"originator_address": "Originator Address",
"bank_routing_number": "1234567890",
"bank_name": "Bank name",
"imad": "IMAD of incoming wire, if available",
"omad": "OMAD of incoming wire, if available (deprecated)"
}
}
]
}Static Memo Activity
History of activity for a Static Memo
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Query Parameters
The deposit id associated with the events. Cannot be passed if deposit_ids is also passed
The deposit ids associated with the events. Pass a list of deposit ids like "deposit_ids[]=id1&deposit_ids[]=id2". Cannot be passed if deposit_id is also passed
The hash of the transaction
The number of items to return (min 1, default 10, max 100)
1 <= x <= 100This is an event id. If this is specified, the next page that starts with an event right AFTER the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events older than the specified event id will be returned (shouldn't be set if ending_before is set)
This is an event id. If this is specified, the previous page that ends with an event right BEFORE the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events newer than the specified event id will be returned (shouldn't be set if starting_after is set)
Filter history by event type
funds_received, payment_submitted, payment_processed, in_review, refund, refund_in_flight, refund_failed, microdeposit, account_update, deactivation, activation Was this page helpful?